#include <cmath>
#include <iostream>

bool isPrime(const int number) {
    if (number == 1) {
        return false;
    }
    if (number == 2 || number == 3) {
        return true;
    }
    if (number % 2 == 0) {
        return false;
    }
    int border = sqrt(number) + 1;
    for (int i = 3; i < border; i += 2) {
        if (number % i == 0) {
            return false;
        }
    }
    return true;
}

int main() {
    for (int i = 1; i < 1000; i++) {
        std::cout << i << ' ' << (isPrime(i) ? "true" : "false") << '\n';
    }
}